import 'dart:convert';
import 'package:http/http.dart'
  as http;
import 'Oficina.dart';

class Services {
  static const URL = 'https://ada.uprrp.edu/~oniel.mendez2/json/oficinas.php';
  static const URL_GET_ALL = 'ada.uprrp.edu/~oniel.mendez2/json/getOficinas.php';
  static const URL_LOCAL = 'http://localhost/test/getOficinas.json';
  static const _GET_ALL = "GET_ALL";

  //get all oficinas
  static Future<List<Oficina>> getOficinas() async {
    try {
      var map = Map<String, dynamic>();
      map['action'] = _GET_ALL;
      //print('antes');
      // final response = await http.get(URL_GET_ALL);
      // print('despues');
      // print('getOficinas Response: ${response.body}');
      // if (200 == response.statusCode) {
      //   List<Oficina> list = parseResponse(response.body);
      final response = '[{"id":"1","name":"test1"},{"id":"2","name":"test2"},{"id":"3","name":"test3"}]';
      //print('despues');
      //print('getOficinas Response: $response');
      if (200 == 200) {
        List<Oficina> list = parseResponse(response);
        return list;
      } else {
        return List<Oficina>();
      }
    } catch (e) {
      return List<Oficina>(); // return an empty list on exception/error
    }
  }

  static List<Oficina> parseResponse(String responseBody) {
    final parsed = json.decode(responseBody).cast<Map<String, dynamic>>();
    return parsed.map<Oficina>((json) => Oficina.fromJson(json)).toList();
  }

  Future<http.Response> fetchAlbum() {
    return http.get('https://jsonplaceholder.typicode.com/albums/1');
  }

}